Subject: [bug#50874] [PATCH] lint: Check if HTTPS version of HTTP URL exists.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 02 Oct 2021 17:15:18 +0200

Hi,

Xinglu Chen <[email-masked]> skribis:

> * guix/lint.scm (check-if-https-uri-exists?): New procedure.
> (check-home-page, check-source): Use it.

Applied, thanks!

> I don’t really know how to test this while making it future-proof, any
> suggestions?

I don’t know either, since we don’t have an easy way to spin up an HTTPS
server.  I think it’s okay to leave it as is, for lack of a better idea.

However, this version of the patch leads to test failures in
tests/lint.scm (“Connection refused”).

Ludo’.